Zalando Related Products
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-zalando-products-related \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product": "https://www.zalando.de/nike-sportswear-court-borough-recraft-unisex-sneaker-low-white-ni116d0lr-a15.html",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-zalando-products-related"
payload = {
"product": "https://www.zalando.de/nike-sportswear-court-borough-recraft-unisex-sneaker-low-white-ni116d0lr-a15.html",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
product: 'https://www.zalando.de/nike-sportswear-court-borough-recraft-unisex-sneaker-low-white-ni116d0lr-a15.html',
max_items: 2
})
};
fetch('https://api.neuralverge.ai/functions/v1/run-zalando-products-related', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "zalando_product_related",
"product": "https://www.zalando.de/nike-sportswear-court-borough-recraft-unisex-sneaker-low-white-ni116d0lr-a15.html",
"max_items": 2,
"start_page": 1,
"human": "# Zalando related products\n\n- **Product:** https://en.zalando.de/nike-sportswear-court-borough-recraft-unisex-sneaker-low-white-ni116d0lr-a15.html\n- **Max items:** 2\n- **Starting page:** 1\n- **Records returned:** 2\n- **Proxy traffic:** 1.51 MB",
"machine": {
"total_items": 2,
"items": [
{
"@type": "ZalandoRelatedProduct",
"id": "NI114D0CZ-A11",
"url": "https://www.zalando.de/nike-sportswear-force-1-crib-sneaker-low-white-ni114d0cz-a11.html",
"reason": "similar",
"name": "FORCE 1 CRIB - Lauflernschuh - white",
"brand": "Nike Sportswear",
"brand_alias": null,
"price": 35.95,
"list_price": 39.95,
"discount_percentage": 10,
"currency": "EUR",
"image": "https://img01.ztat.net/article/spp-media-p1/d4500f01b1dd34db85a592a854adbca7/bf85807dda934c4da4d28e5aa9a833bb.jpg?imwidth=500&filter=packshot",
"is_in_stock": true,
"gender": "KIDS",
"is_sponsored": false
},
{
"@type": "ZalandoRelatedProduct",
"id": "NI116D0YG-A11",
"url": "https://www.zalando.de/nike-sportswear-force-1-unisex-sneaker-low-summit-whitevast-greyplatinum-coloured-tintwhite-ni116d0yg-a11.html",
"reason": "similar",
"name": "FORCE 1 UNISEX - Sneaker low - summit white/vast grey/platinum-coloured tint/white",
"brand": "Nike Sportswear",
"brand_alias": null,
"price": 47.95,
"list_price": 59.95,
"discount_percentage": 20,
"currency": "EUR",
"image": "https://img01.ztat.net/article/spp-media-p1/78013d7569524c718d8bf5ec1f640d78/409607a83e1c454081d99c48967af4b3.jpg?imwidth=500&filter=packshot",
"is_in_stock": true,
"gender": "KIDS",
"is_sponsored": false
}
],
"total_related_on_page": 42,
"response_bytes": 1580927
},
"total_points": 2
}E-commerce & Marketplaces
Zalando Related Products
Get related products from a Zalando product page (similar, same brand, cross-sell and sponsored recommendations): name, brand, price, discount, image, stock and reason. 1 point per returned record.
POST
/
functions
/
v1
/
run-zalando-products-related
Zalando Related Products
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Max items (up to 60)
Required range:
1 <= x <= 60Starting page
Required range:
x >= 1Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.